Subscription Usages - Get
Gets a subscription usage metric.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/usages/{usageName}?api-version=2021-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
The name of the region where the resource is located. |
|
subscription
|
path | True |
string |
The subscription ID that identifies an Azure subscription. |
|
usage
|
path | True |
string |
Name of usage metric to return. |
|
api-version
|
query | True |
string |
The API version to use for the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved particular subscription location usage. |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
Get specific subscription usage in the given location.
Sample request
Sample response
{
"properties": {
"displayName": "Regional Server Quota for West US",
"currentValue": 1,
"limit": 20,
"unit": "Count"
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/Onebox/usages/ServerQuota",
"name": "ServerQuota",
"type": "Microsoft.Sql/locations/usages"
}
Definitions
SubscriptionUsage
Usage Metric of a Subscription in a Location.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID. |
| name |
string |
Resource name. |
| properties.currentValue |
number (double) |
Current value of the metric. |
| properties.displayName |
string |
User-readable name of the metric. |
| properties.limit |
number (double) |
Boundary value of the metric. |
| properties.unit |
string |
Unit of the metric. |
| type |
string |
Resource type. |